Subject: Re: bug#32351: assq_no_quit: circular loop (default, line-number, line-number-current-line)

From: Eli Zaretskii <[email-masked]>
Date: Fri, 03 Aug 2018 09:45:37 +0300

> Date: Thu, 02 Aug 2018 19:10:12 -0700
> From: Keith David Bershatsky <[email-masked]>
> 
> I apologize in advance for "not yet" having a concise recipe from Emacs -Q.  I can work on creating a recipe in the coming days/weeks/months.  I am able to produce this reliably in Emacs master branch, using a full user configuration.  Here are the relevant lines from LIST to the assq_no_quit function.

Where does the error message cited in the subject come from?  It
doesn't come from assq_no_quit, does it?

Also, your line numbers don't match the current master (fns.c:1487 is
not in assq_no_quit), so I cannot be sure what local changes do you
have that are involved.

And finally, yes, a recipe which at least states what are the
customizations required to reproduce would be nice.

Thanks.